package studio.junk.jam.coloritum.ui.animation;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class Animator {
	private static final ExecutorService executor = Executors.newCachedThreadPool();

	public static AnimationControl animate(Animation animation) {
		AnimationWorker worker = new AnimationWorker(animation);
		executor.execute(worker);
		return worker;
	}
}
